PROGRAM=exercise_06_12
CXX=clang++
CXXFLAGS=-Wall -Wextra -Werror -g3

test1: $(PROGRAM)
	./$(PROGRAM) < $@.input
	
$(PROGRAM): exercise_06_12.o .gitignore
	$(CXX)    $(CXXFLAGS) $< -o $@ 
	
%.ii: %.cpp
	$(CXX) -E $(CXXFLAGS) $< -o $@
	
%.s: %.ii
	$(CXX) -S $(CXXFLAGS) $< -o $@
		
%.o: %.s
	$(CXX) -c $(CXXFLAGS) $< -o $@
	
.gitignore:
	echo $(PROGRAM) > .gitignore
	
clean:
	rm *.ii *.s *.o $(PROGRAM) .gitignore
	
.PRECIOUS: exercise_06_12.ii exercise_06_12.s exercise_06_12.o
.SECONDARY: exercise_06_12.ii exercise_06_12.s exercise_06_12.o



